Freeciv-3.2: Data Fields

Freeciv-3.2

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - b -

- b : color, MD5_CTX, rgbacolor, rgbcolor
- back_button : CONNLIST
- back_icon : theme_icons
- back_in_history() : chat_listener
- back_to_menu() : mr_menu
- background : citybar_sprites, ft_color, minimap_view, named_sprites, text_tag
- background_blue : packet_ruleset_game
- background_green : packet_ruleset_game
- background_red : packet_ruleset_game
- background_system : theme
- backgrounds : theme_background_system
- bar : mpgui
- barb_type : nation_type
- barbarian_type : packet_player_info, packet_ruleset_nation, player_ai
- barbarianrate : civ_game
- base : advance_req_iter, advance_root_req_iter, drawing_data::drawing_layer, extra_type, hmove, loaddata
- base_bribe_cost : packet_game_info
- base_coor : img
- base_effects : els_data
- base_incite_cost : civ_game
- base_map : pf_danger_map, pf_fuel_map, pf_normal_map
- base_option : client_option, server_option
- base_pollution : packet_game_info
- base_raise_chance : packet_ruleset_game, packet_ruleset_unit, veteran_level
- base_tech_cost : packet_game_info
- base_time : packet_ruleset_terrain, terrain
- base_value : adv_risk_cost
- bases_menu : mr_menu
- battle : animation
- battle_kind : actres
- battlegroup : named_sprites, packet_unit_info, unit
- battlelog_scale : fc_settings
- battlelog_wdg : fc_client
- battlelog_x : fc_settings
- battlelog_y : fc_settings
- bcost : ai_city, edit_impr, edit_utype
- before_change_shields : city, packet_city_info
- begin : up_down, UP_DOWN
- begin_active_widget_list : advanced_dialog
- begin_city_menu_widget_list : city_dialog
- begin_city_widget_list : city_dialog
- begin_text_chain : text_edit
- begin_widget_list : advanced_dialog, combo_menu, CONNLIST, option_dialog, small_dialog, up_down, UP_DOWN, wl_editor
- behavior : pf_danger_node, pf_fuel_node, pf_normal_node
- behaviour : packet_ruleset_counter
- best : cfbdw_data, cm_state, cowt_data
- best_other : cityresult
- best_value : cm_state
- better : government
- better_types : cm_tile_type
- bg : text_edit
- bgcol : utf8_str
- big_coin : city_icon
- big_coin_corr : city_icon
- big_coin_upkeep : city_icon
- big_colb : city_icon
- big_food : city_icon
- big_food_corr : city_icon
- big_food_surplus : city_icon
- big_luxury : city_icon
- big_shield : city_icon
- big_shield_corr : city_icon
- big_shield_surplus : city_icon
- big_sprite : specfile
- big_trade : city_icon
- big_trade_corr : city_icon
- bind_addr : server_arguments
- bind_meta_addr : server_arguments
- birth_turn : packet_unit_info, unit
- bits : dbv, generate_packets.Variant
- bits_num : packet_server_setting_bitwise
- bitwise : client_option, server_option, setting
- bitwise_vtable : option
- bldg : ruledit_gui
- bldg_list : tab_building
- blend : drawing_data
- blender : drawing_data
- blending : drawing_data
- blink : fc_sidewidget
- block : MD5_CTX, theme_icons
- block_signal : city_dialog
- blocked : river_map
- blocked_by : action, packet_ruleset_action
- blocker : ane_expl
- bmf : named_sprites
- bnp : player_score
- boats : ai_plr
- body : history_report
- bodyguard : unit_ai
- bombard_rate : packet_ruleset_unit, unit_type
- bonus : city
- bonus_message : advance
- bonus_roads : unit_class
- bonus_type : packet_ruleset_trade, trade_route_settings
- bonuses : unit_type
- bool_func : player_dlg_column
- bool_value : cf_sequence
- bool_vtable : option
- boolean : client_option, entry, server_option, setting
- border_city_permanent_radius_sq : packet_game_info
- border_city_radius_sq : packet_game_info
- border_size_effect : packet_game_info
- border_sq : base_type, packet_ruleset_base
- border_vision : player
- borders : named_sprites, packet_game_info
- bottom_panel : help_widget
- bound_rect : hud_text
- box : voteinfo_bar
- box_children : option_dialog
- box_wdg : help_widget
- bridged : extra_type
- bridged_over : extra_type, packet_ruleset_extra
- browse_saves() : fc_client
- browse_scenarios() : fc_client
- brush : editor_sprites
- btlog_status : mr_menu
- bucket : genhash_iter
- buckets : genhash
- buffer : connection, MD5_CTX, mem_fzFILE
- build_adv_adjust_want : ai_type
- build_adv_init : ai_type
- build_adv_prepare : ai_type
- build_city : role_unit_cb_data
- build_cost : impr_type, packet_ruleset_building, packet_ruleset_unit, unit_type
- build_id : packet_city_sell
- build_reqs : packet_ruleset_unit, unit_type
- build_reqs_count : packet_ruleset_unit
- build_time : extra_type, packet_ruleset_extra
- build_time_factor : extra_type, packet_ruleset_extra
- buildable : extra_type, packet_ruleset_extra
- building : named_sprites, req_context, universals_u
- building_count : units_entry
- building_turn : ai_city
- building_wait : ai_city
- building_want : adv_city
- built : city, packet_edit_city
- bulbs_last_turn : player
- bulbs_required : research::research_invention
- bulbs_researched : packet_edit_player, packet_research_info, research
- bulbs_researched_saved : research::research_invention
- bulbs_researching_saved : research
- button : city_dialog, fc_client, theme_icons
- button_box : fc_client, fc_shortcuts_dialog, inputline_toolkit, option_dialog
- button_down_ticks : mouse_button_behavior
- button_show_all : science_report
- buttons_list : choice_dialog
- buy() : city_dialog, city_widget
- BUY : city_widget
- buy_button : city_dialog
- buy_command : city_dialog
- buy_cost : city, packet_city_info
- buy_it : production_widget
- buy_prod_icon : theme_icons
- byclass : adv_data
- bytes : utf8_char
- bytes_send : connection